Get a colony
With its visits, newest first. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
colonies
/
{id}
Get a colony
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/colonies/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/colonies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/colonies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"colony": {
"id": "<string>",
"name": "<string>",
"altered_count": 123,
"is_active": true,
"address": "<string>",
"caretaker": {
"id": "<string>",
"name": "<string>"
},
"cat_count": 123,
"notes": "<string>",
"last_visit_on": "2023-12-25",
"visits_done": 123,
"visits": [
{
"id": "<string>",
"kind": "stray_pickup",
"status": "planned",
"visit_on": "2023-12-25",
"address": "<string>",
"summary": "<string>",
"assigned": {
"id": "<string>",
"name": "<string>"
},
"colony": {
"id": "<string>",
"name": "<string>"
},
"animal": {
"id": "<string>",
"name": "<string>"
},
"person": {
"id": "<string>",
"name": "<string>"
},
"outcome": "brought_in",
"notes": "<string>",
"cats_trapped": 123,
"cats_returned": 123,
"photo_file_ids": [
"<string>"
],
"done_at": "2023-11-07T05:31:56Z",
"done_by_person_id": "<string>",
"created_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Get a colony
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/colonies/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/colonies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/colonies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"colony": {
"id": "<string>",
"name": "<string>",
"altered_count": 123,
"is_active": true,
"address": "<string>",
"caretaker": {
"id": "<string>",
"name": "<string>"
},
"cat_count": 123,
"notes": "<string>",
"last_visit_on": "2023-12-25",
"visits_done": 123,
"visits": [
{
"id": "<string>",
"kind": "stray_pickup",
"status": "planned",
"visit_on": "2023-12-25",
"address": "<string>",
"summary": "<string>",
"assigned": {
"id": "<string>",
"name": "<string>"
},
"colony": {
"id": "<string>",
"name": "<string>"
},
"animal": {
"id": "<string>",
"name": "<string>"
},
"person": {
"id": "<string>",
"name": "<string>"
},
"outcome": "brought_in",
"notes": "<string>",
"cats_trapped": 123,
"cats_returned": 123,
"photo_file_ids": [
"<string>"
],
"done_at": "2023-11-07T05:31:56Z",
"done_by_person_id": "<string>",
"created_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
